Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.cache
Class ForwardingLoadingCache.SimpleForwardingLoadingCache<K,V>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.cache.ForwardingCache<K,V>
              com.google.common.cache.ForwardingLoadingCache<K,V>
                  com.google.common.cache.ForwardingLoadingCache.SimpleForwardingLoadingCache<K,V>

All Implemented Interfaces:
  Function<K,V>, Cache<K,V>, LoadingCache<K,V>

Enclosing class:
  ForwardingLoadingCache<K,V>

    @Beta
    public abstract static class ForwardingLoadingCache.SimpleForwardingLoadingCache<K,V>

extends ForwardingLoadingCache<K,V>

A simplified version of `ForwardingLoadingCache` where subclasses can pass in an already constructed `LoadingCache` as the delegete.

Since:
  10.0

Nested Class Summary

Nested classes/interfaces inherited from class com.google.common.cache.ForwardingLoadingCache
`ForwardingLoadingCache.SimpleForwardingLoadingCache<K,V>`

Nested classes/interfaces inherited from class com.google.common.cache.ForwardingCache
`ForwardingCache.SimpleForwardingCache<K,V>`

Constructor Summary
`protected` | `ForwardingLoadingCache.SimpleForwardingLoadingCache(LoadingCache<K,V> delegate)`

Method Summary
`protected LoadingCache<K,V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.

Methods inherited from class com.google.common.cache.ForwardingLoadingCache
`apply, get, getAll, getUnchecked, refresh`

Methods inherited from class com.google.common.cache.ForwardingCache
`asMap, cleanUp, get, getAllPresent, getIfPresent, invalidate, invalidateAll, invalidateAll, put, putAll, size, stats`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.common.cache.LoadingCache
`asMap`

Methods inherited from interface com.google.common.cache.Cache
`cleanUp, get, getAllPresent, getIfPresent, invalidate, invalidateAll, invalidateAll, put, putAll, size, stats`

Methods inherited from interface com.google.common.base.Function
`equals`

Constructor Detail

### ForwardingLoadingCache.SimpleForwardingLoadingCache

    protected ForwardingLoadingCache.SimpleForwardingLoadingCache(LoadingCache<K,V> delegate)

Method Detail

### delegate

    protected final LoadingCache<K,V> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingLoadingCache<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.